# Buffer

Source:
  - constructors/extensions/prototype.js, line 2354

### Methods

#### base64encode() → {string}

Source:
  - constructors/extensions/prototype.js, line 2391

##### Returns:

Type
  string

#### toArray() → {Array.<number>}

Source:
  - constructors/extensions/prototype.js, line 2408

##### Returns:

Type
  Array.<number>

#### toBytes() → {Uint8Array}

Source:
  - constructors/extensions/prototype.js, line 2374

##### Returns:

Type
  Uint8Array

#### toStringUtf8() → {string}

Source:
  - constructors/extensions/prototype.js, line 2357

##### Returns:

Type
  string